# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""update null dag for transfer plugin

Revision ID: 4a69a414ffc7
Revises: 3d0591e1b28e
Create Date: 2021-11-04 14:53:59.589140

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "4a69a414ffc7"
down_revision = "3d0591e1b28e"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content= regexp_replace(convert_from(content, 'utf-8'), E'transfer_input_files = ', E'transfer_input_files = $ENV(HOME)/.ssh/condor_transfer, nraorsync://')::bytea
        WHERE workflow_name='null_dag' AND filename like ('%.condor')
        """
    )


def downgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content= regexp_replace(convert_from(content, 'utf-8'), E'transfer_input_files = $ENV(HOME)/.ssh/condor_transfer, nraorsync://', E'transfer_input_files = ')::bytea
        WHERE workflow_name='null_dag' AND filename like ('%.condor')
        """
    )
